Article ID: 122999, created on Jun 2, 2015, last review on Jun 2, 2015

  • Applies to:
  • Virtuozzo containers for Linux 4.7

Síntomas

Estoy intentando instalar plantillas de CentOS 7 ejecutando el comando vzup2date -z y obtengo los siguientes errores:

[RPM] Dependencies conflict. 
centos-7-x86_64-ez is needed by
pp-antivirus-centos-7-x86_64-ez-4.7.0-36.prl.334114.noarch
centos-7-x86_64-ez is needed by 
pp-bind-centos-7-x86_64-ez-4.7.0-36.prl.334114.noarch
......
centos-7-x86_64-ez is needed by
pp12-webmail-centos-7-x86_64-ez-4.7.0-36.prl.334114.noarch 

Causa

La plantilla de CentOS 7 aún no es soportada en Virtuozzo containers 4.7. El soporte para dicha plantilla solo se ha incluido en Virtuozzo (anteriormente denominado Parallels Cloud Server). Para más información, consulte el siguiente artículo de nuestra base de conocimiento:

  • 122404 [Notas de la versión] Plantillas EZ CentOS 7 para Parallels Cloud Server

El motivo por el que estas plantillas aparecen detalladas en la salida de vzup2date es que Virtuozzo containers 4.7 incluye plantillas de Plesk:

~# vzup2date -z -m batch list --all-app | grep -i centos-7 | head -n 5
For centos-7-x86_64-ez
  [pp-antivirus-centos-7-x86_64-ez/4.7.0-36.prl.334114] ... (  not installed  )
  [pp-bind-centos-7-x86_64-ez/4.7.0-36.prl.334114] Pp-bind  (  not installed  )
  [pp-centos-7-x86_64-ez/4.7.0-36.prl.334114] Pp            (  not installed  )
  [pp-cf-support-centos-7-x86_64-ez/4.7.0-36.prl.334114]... (  not installed  )

~# vzup2date -z -m batch list --all-os | grep -i centos-7
~#

Resolución

Esta incidencia ha sido notificada a nuestro equipo de desarrolladores, siendo PPPM-1927 el ID de la petición interna. La corrección para esta incidencia será incluida en una de las próximas actualizaciones del producto.

e8e50b42231236b82df27684e7ec0beb 2897d76d56d2010f4e3a28f864d69223 d02f9caf3e11b191a38179103495106f 0c05f0c76fec3dd785e9feafce1099a9

Email subscription for changes to this article
Save as PDF